gov.ornl.mercury3.commands

## Class Terms

- java.lang.Object
- - gov.ornl.mercury3.commands.Terms

- All Implemented Interfaces:
    Serializable

      public class Terms
      extends Object
      implements Serializable

  ornldaac3
  Author:
    zzr @Modified by: Ranjeet Devarakonda
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Terms()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAttribute()`
    `String` | `getdate()`
    `String` | `getinstance()`
    `String` | `getOperation()`
    `String` | `getrelAttribute()`
    `int` | `getSequenceNum()`
    `String` | `getsessionId()`
    `int` | `gettransID()`
    `String` | `getValue()`
    `void` | `setAttribute(String attribute)`
    `void` | `setdate(String date)`
    `void` | `setinstance(String instance)`
    `void` | `setOperation(String operation)`
    `void` | `setrelAttribute(String relAttribute)`
    `void` | `setSequenceNum(int sequenceNum)`
    `void` | `setsessionId(String sessionId)`
    `void` | `settransID(int transID)`
    `void` | `setValue(String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Terms

          public Terms()

  - ### Method Detail

    - #### getrelAttribute

          public String getrelAttribute()

    - #### setrelAttribute

          public void setrelAttribute(String relAttribute)

    - #### gettransID

          public int gettransID()

    - #### settransID

          public void settransID(int transID)

    - #### getdate

          public String getdate()

    - #### setdate

          public void setdate(String date)

    - #### getsessionId

          public String getsessionId()

    - #### setsessionId

          public void setsessionId(String sessionId)

    - #### getinstance

          public String getinstance()

    - #### setinstance

          public void setinstance(String instance)

    - #### getSequenceNum

          public int getSequenceNum()

    - #### setSequenceNum

          public void setSequenceNum(int sequenceNum)

    - #### getAttribute

          public String getAttribute()

    - #### setAttribute

          public void setAttribute(String attribute)

    - #### getOperation

          public String getOperation()

    - #### setOperation

          public void setOperation(String operation)

    - #### getValue

          public String getValue()

    - #### setValue

          public void setValue(String value)

Copyright © 2016. All rights reserved.